<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 09.03.2015
 */
return [
    'components' =>
    [
        'urlManager' => [
            'rules' => [
                '<_c:(product)>'               => 'cms/<_c>/index',
                '<_c:(product)>/<seo_page_name>'    => 'catalog/<_c>/view',
            ]
        ],

        "registeredWidgets" => [
            'components' => [
                'skeeks\modules\cms\catalog\widgets\products\Products' =>
                [
                    'name'          => 'Виджет списка товаров',
                    'description'   => 'Виджет списка товаров',

                    'templates'     =>
                    [
                        'default' =>
                        [
                            'name' => 'Шаблон по умолчанию'
                        ]
                    ],
                ],
            ]
        ],

        'registeredModels' =>
        [
            'components' =>
            [
                'product' =>
                [
                    'modelClass'                 => 'skeeks\modules\cms\catalog\models\Product',
                    'name'                       => 'Продукт',
                    'adminControllerRoute'          => 'catalog/admin-product',

                ],
            ]
        ],

    ],

    'modules' =>
    [
        'catalog' => [
            'class'         => '\skeeks\modules\cms\catalog\Module',
        ]
    ]
];