<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 09.03.2015
 */
namespace skeeks\modules\cms\catalog\controllers;
use skeeks\cms\modules\admin\controllers\AdminModelEditorSmartController;
use skeeks\modules\cms\catalog\models\Product;

/**
 * Class AdminProductController
 * @package skeeks\modules\cms\catalog\controllers
 */
class AdminProductController extends AdminModelEditorSmartController
{
    public function init()
    {
        $this->_label                   = "Управление продуктами";
        $this->_modelShowAttribute      = "name";
        $this->_modelClassName          = Product::className();
        $this->modelValidate            = true;
        $this->enableScenarios          = true;
        parent::init();
    }
}