<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 09.03.2015
 */
namespace skeeks\modules\cms\catalog\controllers;
use skeeks\cms\modules\admin\controllers\AdminModelEditorSmartController;
use skeeks\modules\cms\catalog\models\ProductPropertyGroup;
use skeeks\modules\cms\catalog\models\ProductPropertyMap;

/**
 * Class AdminPropertiesProductController
 * @package skeeks\modules\cms\catalog\controllers
 */
class AdminProductPropertyMapController extends AdminModelEditorSmartController
{
    public function init()
    {
        $this->_label                   = "";
        $this->_modelShowAttribute      = "id";
        $this->_modelClassName          = ProductPropertyMap::className();
        $this->modelValidate            = true;
        $this->enableScenarios          = true;
        parent::init();
    }
}