<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 02.04.2015
 */
use yii\db\Schema;
use yii\db\Migration;

class m150310_110857_alter_table__catalog_product extends Migration
{
    public function safeUp()
    {
        $this->execute("ALTER TABLE {{%catalog_product%}} ADD `weight` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Вес товара' , ADD `availability_reserved` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Количество в резерве' ;");
        $this->execute("ALTER TABLE {{%catalog_product%}} CHANGE `availability` `availability` DOUBLE NULL DEFAULT NULL COMMENT 'В наличии';");
    }

    public function safeDown()
    {
        echo "m150324_273205_alter_table__cms_infoblock cannot be reverted.\n";
        return false;
    }
}
