<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 29.04.2015
 */
use yii\db\Schema;
use yii\db\Migration;

class m150429_110857_alter_table__catalog_product_property extends Migration
{
    public function safeUp()
    {
        $this->execute("ALTER TABLE {{%catalog_product_property%}} DROP `files`;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} DROP `description`;");

        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `active` CHAR(1) NOT NULL DEFAULT 'Y' ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `priority` INT NOT NULL DEFAULT '500' ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `default_value` TEXT NULL ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `property_type` CHAR(1) NOT NULL DEFAULT 'S' ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `row_count` INT NOT NULL DEFAULT '1' ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `col_count` INT NOT NULL DEFAULT '30' ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `list_type` CHAR(1) NOT NULL DEFAULT 'L' ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `multiple` CHAR(1) NOT NULL DEFAULT 'N' ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `file_type` VARCHAR(200) NULL ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `multiple_cnt` INT NULL ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `tmp_id` VARCHAR(40) NULL ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `with_description` CHAR(1) NULL ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `searchable` CHAR(1) NOT NULL DEFAULT 'N' ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `filtrable` CHAR(1) NOT NULL DEFAULT 'N' ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `is_required` CHAR(1) NULL ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `version` INT NOT NULL DEFAULT '1' ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `component` VARCHAR(255) NULL ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `component_settings` TEXT NULL ;");
        $this->execute("ALTER TABLE {{%catalog_product_property%}} ADD `hint` VARCHAR(255) NULL ;");
    }

    public function safeDown()
    {
        echo "m150324_273205_alter_table__cms_infoblock cannot be reverted.\n";
        return false;
    }
}
