
<?php

use yii\helpers\Html;
use skeeks\cms\modules\admin\widgets\form\ActiveFormUseTab as ActiveForm;
use skeeks\cms\models\Tree;
use skeeks\cms\modules\admin\widgets\Pjax;

/* @var $this yii\web\View */
/* @var $model Tree */
?>

<?php $form = ActiveForm::begin(); ?>

<?= $form->fieldSet('Основное'); ?>
    <?= $form->field($model, 'name')->textInput(['maxlength' => 255]) ?>
<?= $form->fieldSetEnd(); ?>

<?= $form->fieldSet('Привязанные свойства'); ?>
    <?= \skeeks\cms\modules\admin\widgets\RelatedModelsGrid::widget([
        'label'             => "Свойства товаров",
        'parentModel'       => $model,
        'relation'          => [
            'group_id' => 'id'
        ],
        'controllerRoute'   => 'catalog/admin-properties-product',
        'gridViewOptions'   => [

            'columns' => [
                //['class' => 'yii\grid\SerialColumn'],
                /*[
                    'class'     => \yii\grid\DataColumn::className(),
                    'value'     => function(\skeeks\modules\cms\catalog\models\ProductPropertyMap $model)
                    {
                        return $model->fetchProductProperty()->name;
                    },
                    'format' => 'html',
                    'label' => 'Свойство',
                    'enableSorting' => true,
                    'attribute' => "property_id"
                ],*/

                'name',
            ],
        ],
    ]); ?>
<?= $form->fieldSetEnd(); ?>

<?= $form->buttonsCreateOrUpdate($model); ?>

<?php ActiveForm::end(); ?>




