<?php
use yii\helpers\Html;
use skeeks\cms\modules\admin\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model \yii\db\ActiveRecord */
?>
<?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'property_id')->widget(
        \skeeks\widget\chosen\Chosen::className(), [
                'items' => \yii\helpers\ArrayHelper::map(
                     \skeeks\modules\cms\catalog\models\ProductProperty::find()->all(),
                     "id",
                     "name"
                ),
        ]);
    ?>

    <?= $form->field($model, 'value')->textInput(['maxlength' => 255]) ?>
    <?= $form->field($model, 'product_id')->hiddenInput(['value' => \Yii::$app->request->get('product_id')])->label(false) ?>


    <?= $form->buttonsCreateOrUpdate($model); ?>
<?php ActiveForm::end(); ?>
