<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 07.03.2015
 */
namespace skeeks\modules\cms\catalog;

use skeeks\cms\base\Module as CmsModule;

/**
 * Class Module
 * @package skeeks\cms\modules\admin
 */
class Module extends CmsModule
{
    public $controllerNamespace = 'skeeks\modules\cms\catalog\controllers';

    /**
     * @return array
     */
    protected function _descriptor()
    {
        return array_merge(parent::_descriptor(), [
            "version"           => "1.0.5",

            "name"              => "Каталог продукции",
        ]);
    }

}