<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 17.03.2015
 *
 * @var $formField \skeeks\modules\cms\form\models\FormField
 * @var $model \skeeks\modules\cms\form\models\FormValidateModel
 */
use skeeks\cms\widgets\ActiveFormModelPropertyValues as ActiveForm;
?>
<?php $form = ActiveForm::begin([
    'modelWithProperties'                 => $modelWithProperties,
]);
?>
<? if ($properties = $modelWithProperties->getPropertiesAll()) : ?>
    <? foreach ($properties as $property) : ?>
        <?= $property->renderActiveForm($form, $validateModel)?>
    <? endforeach; ?>
<? endif; ?>

<?= \yii\helpers\Html::button('Сохранить', [
    'type'  => 'submit',
    'class' => 'btn btn-primary'
]); ?>

<?php ActiveForm::end(); ?>